Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 16354 - [Feature] Autocomplete for mail compose
: [Feature] Autocomplete for mail compose
Product: MailNews Core
Classification: Components
Component: Composition (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: M16
Assigned To: Jean-Francois Ducarroz
: esther
: 18629 (view as bug list)
Depends on: 20180 36730 36734
  Show dependency treegraph
Reported: 1999-10-13 16:42 PDT by marina
Modified: 2012-06-20 03:06 PDT (History)
5 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Description marina 1999-10-13 16:42:16 PDT
Steps to reproduce:
-open Address Book;
-open New mail, type one first letter of the name
//note: it autocomplete by the first one (in a sort order) and doesn't give you
other matches if they are slightly different:" xena, xina,...."
Comment 1 marina 1999-10-13 16:56:59 PDT
****observed with today's 1999-10-13 win build*****
Comment 2 hangas 1999-10-13 19:19:59 PDT
Sending to ducarroz.  We don't have 'real' autocomplete yet, but I was unable to
find the feature bug for autocomplete on ducarroz' list.  I am changing this to
be that feature bug, from "Address Book: no multiple matches are found when

So this feature bug is for tracking the entire autocomplete feature for
addressing in New Message.
Comment 3 Richard Zach 1999-11-30 20:01:59 PST
Right now, if you don't enter anything in the To: field at all and press Enter,
it autocompletes to the first address in the address book.  That doesn't seem
right. (Linux build 1999.11.30.08)
Comment 4 scottputterman 1999-12-17 18:45:59 PST
The bug that zach mentions was fixed recently by ducarroz.
Comment 5 esther 2000-01-21 16:00:00 PST
Note: that when implementing this, we need to search all Personal Address Books 
for a match. This was brought to my attention and I wanted to make sure that the 
full functionality includes all books.
Comment 6 Phil Peterson 2000-01-28 14:22:52 PST
This works well enough for B1 (file specific bugs if not). The remaining
full-featured implementation can wait until after B1.
Comment 7 Phil Peterson 2000-01-28 15:14:33 PST
*** Bug 18629 has been marked as a duplicate of this bug. ***
Comment 8 esther 2000-02-10 14:22:19 PST
Verified/Duplicate bug 18629 states that newly added cards are not recognized 
until abook has been closed then reopened.   This is now part of this bug and 
should be one of the scenarios tested when this is fixed.
Comment 9 Jean-Francois Ducarroz 2000-02-15 09:43:10 PST
AB has a notion of last modification date. I should check for it to decide if I 
need to rebuild the autocomplete cache or not. Actually, we build it only once 
the first time we call Autocomplete. Should be an easy (temporary) fix
Comment 10 Richard Zach 2000-02-25 16:33:00 PST
J-F, can you outline briefly what functionality should be implemented so far?  I
get weird pinpoint addressing behavior, but have no way of knowing if it's a bug
or just not implemented yet.
Comment 11 Jean-Francois Ducarroz 2000-02-25 16:42:42 PST
The first time we do autocomplete, we cache the first 100 email addresses we 
found in first the personal AB and then in the collected AB. Auto complete will 
use only those cached addresses for the whole life of the application. That 

1) if you have more than 100 addresses, we will not be able to autocomplete 
againss all of them!

2) all modification done in the AB or new entry added will not be seen by the 
autocomplete until you restart the app. That includes new collected addresses.

3) other AB than the personal and the collected AB are ignored.

Kind of limited!
Comment 12 Richard Zach 2000-02-25 16:47:28 PST
This should be release-noted, don't you think?
Comment 13 selmer (gone) 2000-03-25 08:35:27 PST
Beginning 3/27 we will focus exclusively on the backend implementation for 2
weeks.  At that point, we will re-evaluate and adjust.
Comment 14 lchiang 2000-04-04 16:03:55 PDT
move to M16.  Not M15 stoppers
Comment 15 Jean-Francois Ducarroz 2000-04-21 21:27:18 PDT
Feature checked in. Some part of the autocomplete widget are not finished. The 
widget doesn support yet a popup menu and still have some problem when 
theautocomplete result doesn't match directly the user input. See bug 36730 and 
36734 for more info and tracking.
Comment 16 esther 2000-05-09 13:13:07 PDT
The original bug as stated was not implemented, this bug became the tracking bug 
for implementing it.  However, several other scenarios were added to this and 
are fixed (zach's 11/30 comment and esther's 1/21 comment).  #2 & 3 of 
ducarroz's comment on 2/25 are also fixed.  A new bug was opened (36730) to 
track the implementation of autocomplete or address matching to find all the 
matches and pop up a list so this bug will be verified.  More specific bugs 
should be logged for the part of this feature that is now implemented. 

Note You need to log in before you can comment on or make changes to this bug.